# -*-mode: autoconf-*-
%define c "# "
# Process this file with autoconf to produce a configure script.
#
# configure.ac for <:PROJECT>
#
%license
#
#
# <:DATE> <:AUTHOR> <<:EMAIL>>
#

AC_INIT(configure.ac)
AC_CANONICAL_SYSTEM
AM_INIT_AUTOMAKE(<:PROJECT>,0.1.0)
#AM_CONFIG_HEADER([config.h])

# Checks for programs.

#AC_PROG_CXX
#AC_PROG_CC
#AC_PROG_RANLIB
#AC_CHECK_TOOL([STRIP],[strip])

#AC_PROG_AWK
AC_PROG_INSTALL

# Check for installed programs.

#AM_PATH_PYTHON
#test -z "$PYTHON" \
#     && AC_MSG_ERROR([Required program \"python\" not found.])

#AC_RUBY_VER
#AC_RUBY_SITELIBDIR
#AC_PATH_RDOC
#AC_PATH_RD2

#AC_PATH_POD2TEXT
#AC_PATH_POD2HTML
#AC_PATH_POD2MAN

#AC_PATH_POD2LATEX
#AC_PATH_LATEX
#AC_PATH_DVIPS

#AC_PATH_POSIXSHELL

# Checks for libraries.

# Checks for header files.
#AC_HEADER_STDC

# Checks for typedefs, structures, and compiler characteristics.
#AC_C_CONST
#AC_HEADER_TIME

# Checks for library functions.

# write output Makefiles

AC_OUTPUT([
	Makefile
	src/Makefile
	doc/Makefile
	])

